For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Manage API keysIdeogram
  • Ideogram API
    • API Overview
    • API Setup
    • Account API Page
    • API Pricing
    • API Status
  • Tutorials
    • Custom Model Training
  • API Reference
    • POSTGenerate with Ideogram 4.0
    • POSTRemix with Ideogram 4.0
    • POSTGenerate a Magic Prompt with Ideogram 4.0
    • POSTDescribe with Ideogram 4.0
    • POSTGenerate with Ideogram 3.0
    • POSTGenerate with Ideogram 3.0 (Transparent Background)
    • POSTInpaint with Ideogram 3.0
    • POSTRemix with Ideogram 3.0
    • POSTReframe with Ideogram 3.0
    • POSTReplace Background with Ideogram 3.0
    • POSTRemove Background
    • POSTLayerize Text
    • POSTEdit images with a prompt
    • POSTUpscale
    • POSTDescribe
    • POSTGenerate (legacy)
    • POSTEdit with Ideogram 3.0 (legacy)
    • POSTEdit (legacy)
    • POSTRemix (legacy)
    • POSTReframe (legacy)
  • Custom Model Training
    • GETList datasets
    • POSTCreate a new dataset
    • GETGet a dataset
    • POSTUpload assets to a dataset
    • POSTTrain a custom Ideogram v3 model
    • GETList models
    • GETGet model details
LogoLogo
LogoLogo
Manage API keysIdeogram
Custom Model Training

Upload assets to a dataset

POST
https://api.ideogram.ai/datasets/:dataset_id/upload_assets
POST
/datasets/:dataset_id/upload_assets
$curl -X POST https://api.ideogram.ai/datasets/dataset_id/upload_assets \
> -H "Api-Key: <apiKey>" \
> -H "Content-Type: multipart/form-data" \
> -F "files[]"=@string
1{
2 "total_count": 0,
3 "success_count": 6,
4 "failure_count": 1,
5 "successful_assets": [
6 {
7 "asset_identifier": {
8 "asset_type": "RESPONSE",
9 "asset_id": "7uS_VESkRI6O3-sVgHQp_A"
10 },
11 "file_name": "file_name"
12 },
13 {
14 "asset_identifier": {
15 "asset_type": "RESPONSE",
16 "asset_id": "7uS_VESkRI6O3-sVgHQp_A"
17 },
18 "file_name": "file_name"
19 }
20 ],
21 "failed_assets": [
22 {
23 "failure_reason": "FAILED_SAFETY_CHECK",
24 "file_name": "file_name"
25 },
26 {
27 "failure_reason": "FAILED_SAFETY_CHECK",
28 "file_name": "file_name"
29 }
30 ]
31}

Upload image assets to a dataset for model training. Accepts individual images (JPEG, PNG, WebP), optional .txt caption sidecar files, and/or ZIP archives containing images and captions. A dataset can contain up to 100 images.

Was this page helpful?
Previous

Train a custom Ideogram v3 model

Next
Built with

Authentication

Api-Keystring

API key for access control. Use in the header with the name “Api-Key”

Path parameters

dataset_idstringRequired

Request

This endpoint expects a multipart form with multiple files.
filesfilesRequired

Image files (JPEG, PNG, WebP), .txt caption sidecar files, and/or ZIP archives containing images and captions. Caption .txt files are matched to images by filename stem (e.g. sunset.txt provides the caption for sunset.jpg). Captions are optional!

Response

Upload summary
total_countinteger
Total number of images processed.
success_countinteger
Number of images successfully uploaded.
failure_countinteger
Number of images that failed to upload.
successful_assetslist of objects
Details of successfully uploaded assets.
failed_assetslist of objects
Details of assets that failed to upload.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error